<?php
namespace nur\sery\wip\schema\types;

use nur\sery\cl;
use nur\sery\wip\schema\Result;
use nur\sery\wip\schema\Schema;

class tarray extends _tsimple {
  static function ensure_array(&$array): void {
    if (!is_array($array)) $array = cl::with($array);
  }

  static function ensure_narray(&$array): void {
    if ($array !== null) self::ensure_array($array);
  }

  function isValid($value, ?bool &$normalized=null): bool {
    $normalized = is_array($value);
    return is_scalar($value) || is_array($value);
  }

  function verifix(&$value, Result &$result, Schema $schema): bool {
  }

  function format($value, $format=null): string {
  }
}
